Subject: Re: More [free] NT: WRONG !!
From: [email-masked] (Charles Wilson)

24 Sep 1998 06:22:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Patrick J. Fay" <[email-masked]>
Cc: [email-masked]

Got telnetd working. Thanks, everyone. Details below.

"Patrick J. Fay" wrote:

> I don't know why exactly. I was trying to install his inetd
> last week and eventually got it to work.
> Do you have valid /etc/passwd & /etc/group files? No crlf's.

this was OK

>
>  Is your login shell /bin/bash.exe ?

no - it's /bin/sh.exe, which is a copy (not a link) of bash.exe [1]

> Do you have the permissions set correctly for the account
>  running the telnetd? (from sergey's page).

yes.

> Do you have your C: drive mounted binary?

yes - all drives mounted binary, but my / is F:

> Did you have the drive mounted binary when you untar'ed
>  the remote.tar.gz?

yes and no. All drives were mounted binary, but I untar/gzed using (no flames please) WinZip. [2]

> Do you have 'CYGWIN32=tty' in your
>   /Start/Settings/System/Environment/User variables?

yes.

>
> Do you have login.exe in /usr/local/bin/login.exe?

yes.

> It seems like telnetd wanted bash.exe to be in
>  /usr/local/bin as well. Not as a symbolic link.

not present. [3]

> Let me know.
> Pat
>

[1] ,[2],[3] made all three changes, and it worked. Then I undid the changes one at a time. Only [2] was the real problem.
[1] and [3] were not necessary. I had forgotten to turn WinZip/Options/Smart TAR LF/CR conversion _OFF_.

Also, Andy Piper's local.tar.gz contains several older versions of Sergey's remote tools. In particular, my
/usr/local/libexec contained

from Andy's local.tar.gz:

in.ftpd*     in.rlogind*  in.talkd*    in.tftpd*
in.rexecd*   in.rshd*     in.telnetd*

from Sergey's remote.tar.gz

in.ftpd.exe*     in.rlogind.exe*  in.talkd.exe*    in.tftpd.exe*
in.rexecd.exe*   in.rshd.exe*     in.telnetd.exe*  in.uucpd.exe*

I don't know if this was part of the problem, but I deleted the files from Andy's distribution.

--Chuck Wilson

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".